MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032432Open CASCADE[OCCT] OCCT:Inspectorspublic2021-06-10 19:022021-06-19 12:04
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
Platformarm64OSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032432: Inspectors - problems with tools test group
Description- Failed to load plugin.libTKDFBrowser.so during test case execution because there is no __APPLE__ definition for dylib
- Test tools vinspector A2
...
tinspector -open /Users/mnt/install/WEEK-22_WEEK-22/Arm64-macosx-shared-opt/OCCT/data/occ/solid.brep.
An exception was caught 0x1583f7110 : OSD_SIGSEGV: SIGSEGV 'segmentation violation' detected. Address 30.
It is actually for all platforms
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0032425assignedbugmaster Tests - adjusting test cases for macOS arm64 platforms 

-  Notes
(0101758)
git (administrator)
2021-06-10 19:09

Branch CR32432 has been created by inv.

SHA-1: 7c3469479de72ea8f64893a50d7dfd4c806e91b1


Detailed log of new commits:

Author: bugmaster
Date: Thu Jun 10 19:10:26 2021 +0300

    0032432: Inspectors - problems with tolls test group
    
    Adding __APPLE__ definition for dylib
(0101859)
git (administrator)
2021-06-16 10:17

Branch CR32432 has been updated forcibly by nds.

SHA-1: 2395d87c18670c5deaf48942d4f74e93c44fa382
(0101860)
nds (developer)
2021-06-16 10:19

Dear Igor,
could you please check it.

OCCT: CR32432,
PRODUCTS: NONE.

Thank you for help, Natalia
(0101867)
git (administrator)
2021-06-16 13:07

Branch CR32432 has been updated by inv.

SHA-1: d517328a5f35c24404a37ceb0bc343ac459f09d1


Detailed log of new commits:

Author: bugmaster
Date: Wed Jun 16 13:06:44 2021 +0300

    Adding __APPLE_ definition for libraries

(0101931)
bugmaster (administrator)
2021-06-19 11:25

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101939)
git (administrator)
2021-06-19 12:04

Branch CR32432 has been deleted by mnt.

SHA-1: d517328a5f35c24404a37ceb0bc343ac459f09d1

- Related Changesets
occt: master 1aee8883
Timestamp: 2021-06-16 06:32:52
Author: nds
Committer: bugmaster
Details ] Diff ]
0032432: Inspectors - problems with tools test group

Adding __APPLE_ definition for libraries
mod - tools/TInspectorAPI/TInspectorAPI_Communicator.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-10 19:02 bugmaster New Issue
2021-06-10 19:02 bugmaster Assigned To => bugmaster
2021-06-10 19:02 bugmaster Relationship added child of 0032431
2021-06-10 19:02 bugmaster Status new => assigned
2021-06-10 19:08 bugmaster Summary Inspector - problems with tolls test group => Inspectors - problems with tolls test group
2021-06-10 19:09 git Note Added: 0101758
2021-06-10 19:11 bugmaster Assigned To bugmaster => nds
2021-06-10 19:12 bugmaster Summary Inspectors - problems with tolls test group => Inspectors - problems with tools test group
2021-06-15 18:22 bugmaster Relationship deleted child of 0032431
2021-06-15 18:22 bugmaster Relationship added child of 0032425
2021-06-16 10:17 git Note Added: 0101859
2021-06-16 10:19 nds Note Added: 0101860
2021-06-16 10:19 nds Assigned To nds => bugmaster
2021-06-16 10:19 nds Status assigned => resolved
2021-06-16 10:19 nds Status resolved => reviewed
2021-06-16 13:07 git Note Added: 0101867
2021-06-19 11:25 bugmaster Note Added: 0101931
2021-06-19 11:25 bugmaster Status reviewed => tested
2021-06-19 11:37 bugmaster Changeset attached => occt master 1aee8883
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-06-19 12:04 git Note Added: 0101939


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker